ウッドチップ調教履歴
curl --request GET \
--url https://api.beter-keiba.com/v1/horses/{horseId}/wood-chip-trainings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.beter-keiba.com/v1/horses/{horseId}/wood-chip-trainings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.beter-keiba.com/v1/horses/{horseId}/wood-chip-trainings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "SUCCESS",
"data": [
{
"id": "wc_12024052207152021105477",
"dataType": "1",
"dataUpdatedAt": 1716715200,
"horseId": "um_2021105477",
"trainingCenterCode": "0",
"trainingDate": "20240522",
"trainingTime": "0715",
"course": "0",
"trackDirection": "0",
"times": {
"f10": 130.5,
"f9": 116.8,
"f8": 103.2,
"f7": 89.7,
"f6": 76.4,
"f5": 63.5,
"f4": 50.8,
"f3": 38.2,
"f2": 25.4
},
"lapTimes": [
12.2,
12.3,
12.5,
12.6,
12.7,
12.9,
13.3,
13.5,
13.6,
13.7
],
"createdAt": 1716716000,
"updatedAt": 1716716000
}
],
"extensions": {
"totalCount": 1,
"limit": 50,
"page": 1,
"totalPages": 1,
"dataUpdatedAt": 1716715200
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "リクエストの形式が正しくありません。"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "有効なAPIキーが必要です。"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "指定されたIDのリソースが見つかりませんでした。"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "サーバー内部で予期せぬエラーが発生しました。"
}
}Updates
ウッドチップ調教履歴
GET
/
horses
/
{horseId}
/
wood-chip-trainings
ウッドチップ調教履歴
Authorizations
APIダッシュボードで発行された sk_live_... または sk_test_... キーを入力してください。prefix は mode を示し、両 mode とも同じ API URL で利用できます (sk_live_* = live mode / 本番、sk_test_* = test mode / 開発・自動テスト)。
Path Parameters
Horse entity ID。JV-Data UM レコード由来の血統登録番号 (10 桁)
Pattern:
^um_[0-9]{10}$Example:
"um_2021105477"
Query Parameters
期間指定(開始)
期間指定(終了)
ソート順(- を付けると降順)
Maximum string length:
100取得するフィールドの絞り込み(カンマ区切り)
Maximum string length:
500ページ番号 (1 以上 10000 以下)
Required range:
1 <= x <= 100001リクエストあたりの最大取得件数 (1 以上 1000 以下)
Required range:
1 <= x <= 1000Response
Success
⌘I